<h1 align="center">JSON DataFrame Parser</h1>

<p align="center">
  <img alt="Github top language" src="https://img.shields.io/github/languages/top/LMastro99/json-dataframe-parser?color=56BEB8">

  <img alt="Github language count" src="https://img.shields.io/github/languages/count/LMastro99/json-dataframe-parser?color=56BEB8">

  <img alt="Repository size" src="https://img.shields.io/github/repo-size/LMastro99/json-dataframe-parser?color=56BEB8">

  <img alt="License" src="https://img.shields.io/github/license/LMastro99/json-dataframe-parser?color=56BEB8">

  <!-- <img alt="Github issues" src="https://img.shields.io/github/issues/LMastro99/json-dataframe-parser?color=56BEB8" /> -->

  <!-- <img alt="Github forks" src="https://img.shields.io/github/forks/LMastro99/json-dataframe-parser?color=56BEB8" /> -->

  <!-- <img alt="Github stars" src="https://img.shields.io/github/stars/LMastro99/json-dataframe-parser?color=56BEB8" /> -->
</p>

<!-- Status -->

<!-- <h4 align="center"> 
	🚧  JSON DataFrame Parser 🚀 Under construction...  🚧
</h4> 

<hr> -->

<p align="center">
  <a href="#dart-about">About</a> &#xa0; | &#xa0; 
  <a href="#sparkles-features">Features</a> &#xa0; | &#xa0;
  <a href="#rocket-technologies">Technologies</a> &#xa0; | &#xa0;
  <a href="#white_check_mark-requirements">Requirements</a> &#xa0; | &#xa0;
  <a href="#checkered_flag-starting">Starting</a> &#xa0; | &#xa0;
  <a href="#memo-license">License</a> &#xa0; | &#xa0;
  <a href="https://github.com/LMastro99" target="_blank">Author</a>
</p>

<br>

## :dart: About ##

Used to parse JSON files into normalized pandas DataFrames.

For more details, see the [demo](/doc/demo.ipynb)

## :sparkles: Features ##

:heavy_check_mark: JSON_DataFrame_Parser: A class used to parse JSON files into normalized pandas DataFrames.
- \_\_init\_\_: This function initializes the JSON_DataFrame_Parser object.
- flatten: This function flattens a single user specified DataFrame by 1 level and returns the resulting DataFrame.
- normalize: This function normalizes a single user specified DataFrame by 1 level and returns the results as a list of DataFrames.
- explode: This function explodes a DataFrame, creating multiple columns to represent the exploded records.

:heavy_check_mark: Decorators:
- entry_exit: This function is called as a decorator to indicate the entry and exit of a user specified function.

## :white_check_mark: Requirements ##

Before starting :checkered_flag:, you need to have [Git](https://git-scm.com) installed.

## :checkered_flag: Starting ##

```bash
# Clone this project
$ git clone https://github.com/LMastro99/json-dataframe-parser

# Access
$ cd json-dataframe-parser

# Install dependencies
$ yarn

# Run the project
$ yarn start

# The server will initialize in the <http://localhost:3000>
```

## :memo: License ##

This project is under license from MIT. For more details, see the [LICENSE](LICENSE.md) file.


Made with :heart: by <a href="https://github.com/LMastro99" target="_blank">Leonidas (Louie) Mastrokostas</a>

&#xa0;

<a href="#top">Back to top</a>
